[Debian-live-changes] r1300 - in dists/trunk/live-initramfs: bin debian doc

Daniel Baumann daniel at alioth.debian.org
Sun May 6 09:54:40 UTC 2007


Author: daniel
Date: 2007-05-06 09:54:39 +0000 (Sun, 06 May 2007)
New Revision: 1300

Modified:
   dists/trunk/live-initramfs/bin/live-getty
   dists/trunk/live-initramfs/bin/live-login
   dists/trunk/live-initramfs/debian/init
   dists/trunk/live-initramfs/doc/ChangeLog
Log:


Modified: dists/trunk/live-initramfs/bin/live-getty
===================================================================
--- dists/trunk/live-initramfs/bin/live-getty	2007-05-06 09:41:54 UTC (rev 1299)
+++ dists/trunk/live-initramfs/bin/live-getty	2007-05-06 09:54:39 UTC (rev 1300)
@@ -1,15 +1,20 @@
-#! /bin/sh
+#!/bin/sh
 
-autologin=1
-for opt in "$@" ; do
-        if [ "$opt" = "-l" -o "$opt" = "-n" ] ; then
-                autologin=0
-        fi
+set -e
+
+AUTOLOGIN="1"
+
+for ARGUMENT in "${@}"
+do
+	if [ "${ARGUMENT}" = "-l" ] || [ "${ARGUMENT}" = "-n" ]
+	then
+		AUTOLOGIN="0"
+	fi
 done
 
-if [ "$autologin" = "1" ] ; then
-         exec /sbin/getty -n -l /sbin/live-login $*
+if [ "${AUTOLOGIN}" = "1" ]
+then
+	exec /sbin/getty -n -l /sbin/live-login ${*}
 else
-         exec /sbin/getty $*
+	exec /sbin/getty ${*}
 fi
-

Modified: dists/trunk/live-initramfs/bin/live-login
===================================================================
--- dists/trunk/live-initramfs/bin/live-login	2007-05-06 09:41:54 UTC (rev 1299)
+++ dists/trunk/live-initramfs/bin/live-login	2007-05-06 09:54:39 UTC (rev 1300)
@@ -1,6 +1,12 @@
-#! /bin/sh
+#!/bin/sh
 
-USERNAME=root
-[ -f /etc/live.conf ] && . /etc/live.conf
-exec /bin/login -f $USERNAME
+set -e
 
+USERNAME="root"
+
+if [ -f /etc/live.conf ]
+then
+	. /etc/live.conf
+fi
+
+exec /bin/login -f "${USERNAME}"

Modified: dists/trunk/live-initramfs/debian/init
===================================================================
--- dists/trunk/live-initramfs/debian/init	2007-05-06 09:41:54 UTC (rev 1299)
+++ dists/trunk/live-initramfs/debian/init	2007-05-06 09:54:39 UTC (rev 1300)
@@ -1,6 +1,6 @@
 #! /bin/sh
 ### BEGIN INIT INFO
-# Provides:          casper
+# Provides:          live-initramfs
 # Required-Start:    $syslog
 # Required-Stop:     $syslog
 # Should-Start:      $local_fs
@@ -16,11 +16,11 @@
 #         Marco Amadori <marco.amadori at gmail.com>
 #
 PATH=/usr/sbin:/usr/bin:/sbin:/bin
-NAME=casper
+NAME=live-initramfs
 SCRIPTNAME=/etc/init.d/${NAME}
 DO_SNAPSHOT=/sbin/live-snapshot
 
-# Exit if system was not booted by casper
+# Exit if system was not booted by live-initramfs
 grep -qs boot=live /proc/cmdline || exit 0
 
 # Read configuration variable file if it is present

Modified: dists/trunk/live-initramfs/doc/ChangeLog
===================================================================
--- dists/trunk/live-initramfs/doc/ChangeLog	2007-05-06 09:41:54 UTC (rev 1299)
+++ dists/trunk/live-initramfs/doc/ChangeLog	2007-05-06 09:54:39 UTC (rev 1300)
@@ -7,6 +7,8 @@
 	  - Renamed to live-md5check.
 	* casper.conf:
 	  - Renamed to live.conf.
+	* bin/live-getty, live-login:
+	  - Reformated.
 
 2007-04-30  Daniel Baumann  <daniel at debian.org>
 




More information about the Debian-live-changes mailing list